
# WARNING:  Values in this file are DEFAULT values, not user
# configuration values.  This file gets over-written with new versions.
#
# Make your changes in userdata.tcl (to add grains, hops, etc.)
# and config.tcl (mash-related variables and other configuration stuff).

# for TeX formatted brew reports, set texbin to one of the following
# (just uncomment one):
#
# set texbin -1 ;# default:  always ask
# set texbin 0  ;# Always use the normal TeX (to produce a DVI output)
set texbin 1  ;# Always use pdfTeX (produces PDF from TeX)

set brewcomments ""

set batchsize 6.5
set boilvol 9
set hopmethod rager
# set hopmethod tinseth
set masheff 0.7084

# Default variables for calculating strike temps for single- or
# multi-stage infusion mashes.
#
set sh_grain 0.32 ;# specific heat of grain ...
set ti_tun 0.7    ;# thermal inertia of the mash tun (10 gallon cooler)
                  ;# set to 0 if the mash tun is preheated
set boil_temp 212.0
set ambient_temp 70.0 ;# room/outdoor temp (where you're brewing)
set mash_thick 1.5
set mashtemp 154

#########
# FONTS #
###########################################################

if {$tcl_platform(platform) == "windows"} {
# Windows XP
   set tiny 8
   set small 8
   set med   10
   set huge 14
   set relief ridge
} elseif {$tcl_platform(platform) == "unix"} {
# Unix / X11R6 (mine, at least)
   set tiny 10
   set small 11
   set med   12
   set huge 18
#  set relief flat ;# this WAS looking right under FreeBSD...not now
   set relief ridge
}

set labels "Helvetica $med bold"
set plain_labels "Helvetica $med"
set dataview "Courier $huge"
set data   "Helvetica $small bold"
set bjcpbox "Helvetica $small bold"
set small_labels "Helvetica $small bold"
set small_text "Helvetica $small"
set tiny_text "Helvetica $tiny"
set newmasheff 0




