proc db {database args} {
   upvar #0 $database db
   set key "" ;# in case args is empty
   foreach {- key item value} $args break
   set exists [info exists db($key)]
   set res {}
   switch [llength $args] {
       0 {
           array set db {} ;# force to be an array
           interp alias {} $database {} db $database -
           set res $database
       }
       1 {set res [array names db]}
       2 {if {$key != ""} {
               if {$exists} {set res $db($key)}
          } else {array unset db}
       }
       3 {if {$item != ""} {
               if {$exists} {
                   set t $db($key)
                   if {!([set pos [lsearch $t $item]]%2)} {
                       set res [lindex $t [incr pos]]
                   }
               }
          } elseif {$exists} {unset db($key)}
       }
       4 {
           if {$exists} {
               if {!([set pos [lsearch $db($key) $item]]%2)} {
                   if {$value != ""} {
                     set db($key) [lreplace $db($key) [incr pos] $pos $value]
                   } else {set db($key) [lreplace $db($key) $pos [incr pos]]}
               } elseif {$value != ""} {
                   lappend db($key) $item $value
               }
           } elseif {$value != ""} {set db($key) [list $item $value]}
           set res $value ;# to be returned
       }
       default {
           if {[llength $args]%2} {error "non-paired item/value list"}
           foreach {item value} [lrange $args 2 end] {
               db $database - $key $item $value
           }
       }
   }
   set res
}

